Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007347opensim[REGION] OpenSim Corepublic2014-10-09 05:372015-08-18 09:34
ReporterGavin Hird 
Assigned ToBlueWall 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
Platformmono / OS XOSobserved in 0.8.0.1OS Version
Product Versionmaster (dev code) 
Target VersionFixed in Version0.8.1-rc2 
Summary0007347: userprofile table rows created with wrong type PGSQL
DescriptionI suppose this is something that has happened at creation time for the table in PostgreSQL (first run), but could also be that Robust touched it later.

For the userprofile table two of the fields were created with the bytea (byte area) type when in fact they should be of type bool. (see enclosed table definition screenshot).
Steps To ReproduceI suppose first run of opensim core on a blank database would repro it, and if it at that time was correct, connect the Robust to the database and see if the field is changed.
Additional Informationobserved in 0.8.0.1, but the table had been touched by the published dev version of August 15, 2014.
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (Multiple Regions per Sim)
Physics EngineODE
EnvironmentMono / OSX
Mono Version3.6
Viewer
Attached Filespng file icon table definition userprofile.png [^] (68,238 bytes) 2014-10-09 05:37

- Relationships

-  Notes
(0028802)
Gavin Hird (reporter)
2015-06-25 03:35

Migrating the userprofile table to version 4 will set the correct field type, so this can be closed.
(0029214)
aiaustin (developer)
2015-08-18 09:34

Resolved issue marked as closed. Please open a new issue and refer to this one if problems arise.

- Issue History
Date Modified Username Field Change
2014-10-09 05:37 Gavin Hird New Issue
2014-10-09 05:37 Gavin Hird File Added: table definition userprofile.png
2014-10-09 06:58 BlueWall Assigned To => BlueWall
2014-10-09 06:58 BlueWall Status new => assigned
2015-06-25 03:35 Gavin Hird Note Added: 0028802
2015-06-25 03:35 Gavin Hird Status assigned => resolved
2015-06-25 03:35 Gavin Hird Fixed in Version => 0.8.1-rc2
2015-06-25 03:35 Gavin Hird Resolution open => fixed
2015-08-18 09:34 aiaustin Note Added: 0029214
2015-08-18 09:34 aiaustin Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker